link
lstat
Filesystem Functions
PHP Manual

# linkinfo

(PHP 4, PHP 5)

linkinfo — Gets information about a link

### Description

int linkinfo ( string `$path` )

Gets information about a link.

This function is used to verify if a link (pointed to by `path` ) really exists (using the same method as the S_ISLNK macro defined in stat.h).

### Parameters

`path`

  Path to the link.

### Return Values

linkinfo() returns the st_dev field of the Unix C stat structure returned by the lstat system call. Returns 0 or `FALSE` in case of error.

### Examples

Example #1 linkinfo() example

`<?php
echo linkinfo('/vmlinuz'); // 835
?>`

### Notes

> Note: This function is not implemented on Windows platforms.

### See Also

- symlink()
- link()
- readlink()

link
lstat
Filesystem Functions
PHP Manual